Update social provider configuration

Updates the social provider configuration for a specified provider name for the Tenant.

PUT
/v2/manage/providers/{provider}

Updates the social provider configuration for a specified provider name for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Path Parameters

provider*string

Provider Name

Value in"FACEBOOK" | "GOOGLE" | "YAHOO" | "LIVE" | "TWITTER" | "LINKEDIN" | "FOURSQUARE" | "QQ" | "GITHUB" | "PAYPAL" | "SINAWEIBO" | "WECHAT" | "APPLE" | "SALESFORCE" | "AMAZON"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/providers/FACEBOOK" \  -H "Content-Type: application/json" \  -d '{}'
{
  "IsActive": true,
  "Key": "exampleKey",
  "Secret": "exampleSecret",
  "ExtraField1": "extraValue1",
  "ExtraField2": "extraValue2",
  "AppleSecretConfiguration": {
    "Certificate": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5v1Z3k5Y2mMA0GCSqGSIb3DQEBCwUAMEUxCzAJBgNV\n...\n-----END CERTIFICATE-----\n",
    "KeyIdentifier": "ABCDEFGHIJ",
    "ServiceId": "com.example.app",
    "BundleId": "com.example.app",
    "TeamId": "ABCDEFGHIJ"
  }
}

{
  "Message": "A parameter is not formatted correctly.",
  "Description": "The parameter is not formatted correctly, please check all the parameters in the API call",
  "ErrorCode": 7900
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}